SENDMAIL(8zm)

NAME
sendmail - zmailer sendmail emulation and mail submission interface

SYNOPSIS

sendmail
    [-C configfile] [-EimqtUv] [-b[msdtip]] [-VenVid] [-Bbodytype] [-Nnotify] [-Rhdr-ret] [-faddress] [-Ffullname] [-raddress] [-o[i|Qpostoffice]] [address ...]

DESCRIPTION
This sendmail(8zm) program is an emulation of the original Sendmail interface. It provides all the original options that it makes sense to support in the context of ZMailer. This is not intended to be the normal user interface to mail, rather it is used by old User Agent programs, e.g., Mail(1), to submit mail. This mechanism has been superseded by the zmailer(3zm) library routines as the native submission interface (Application Program Interface) for ZMailer.

The default action is to submit the RFC822 format mail message expected on stdin to the mailer, with the addresses listed on the command line as recipients. If there are no recipient addresses specified on the command line, the mailer will infer them from the message header. The sender is the account of the current userid, except for root where the preferred sender is the account of the current login session. The message terminates when a period is seen by itself on a line, or at end of file on the input stream.

If the message submission fails immediately on the mail_open(3zm), the data on stdin will be appended to a dead.letter file in the submitters home directory.

OPTIONS

-bm asks sendmail to deliver mail, which it does anyway. This option has no effect.

-bs will start an SMTP server reading from stdin. This causes the smtpserver(8zm) program to be executed.

-bd starts the router(8zm) and scheduler(8zm) programs to emulate Sendmail's daemon mode. This is not a recommended method to start these programs, instead use zmailer(1zm).

-bt runs the router(8zm) in interactive mode for testing.

-bi runs newaliases(1zm) to rebuild the alias file database; This is not a recommended method to start these programs, instead use zmailer newdb

-bp runs mailq(1zm) to print the mail transport queue status.

-C configfile
    specify the router(8zm) configuration file.

-E  indicates the origin of this message is an insecure channel. This should be used when sendmail is used to submit messages coming in from outside the local machine, to avoid security problems during message processing. This flag ensures the message will have no privileges even if the current userid is "trusted".

-f address
    specify the sender address. This is the default originator address if there is no From: header in the message. It becomes the Sender: address otherwise. In either case if the current userid is not "trusted" by the mailer, it is free to ignore both this option and any header information to ensure properly authenticated originator information.

-F fullname
    specify the full name of the (local) sender.

-i  tells sendmail to not use a period ('.') on a line by itself as a message terminator, only the end of file will terminate the message.

-m  asks the mailer not to ignore the originator in the addressee list. This is default behaviour, so this option has no effect.

-oi is like -i.

-oQ postoffice
    specifies an alternate POSTOFFICE directory.

-q  asks for queue processing. This option has no effect.

-r address
    is like -f.

-t  scan the RFC-822 headers for recipient addresses in "To:", "Cc:", and "Bcc:" headers. The "Bcc:" header will be deleted before processing continues. Any addresses in the argument list will be ignored. In case no addresses are given in the argument list, this is the default operation mode.

-v  will report the progress of the message after it has been submitted. The sendmail process will write verbose log information to the stderr stream until the scheduler deletes the message.

-V envid
    sets Delivery-Status-Notification parameter ENVID to be any arbitary [xtext] string. (Format verified!)

-N notify
    sets Delivery-Status-Notification notify parameter to be: NEVER, or any combination of: SUCCESS, FAILURE, DELAY.

-R retmode
    sets Delivery-Status-Notification parameter to be either of: FULL, HDRS.

ENVIRONMENT VARIABLES

ZCONFIG
    This environment variable is expected to be inherited from caller, and it tells where callers idea of ZENV-variables are located at.

    If it isn't present, system compiled defaults will be used.

    If this is present, but bad, you are screwed...

Those that zmailer(3zm) library uses:

    FULLNAME
        variable defines textual fullname, for example: "Sample User"

    PRETTYLOGIN
        variable defines user@node format of what user wants to claim as his/her own address (it must match those of mail router accepts.)

One of its own:

    MAILPRIORITY
        This is used to set zmailer(3zm) library variable mail_priority.

Z-ENVIRONMENT VARIABLES

POSTOFFICE
    Used by zmailer(3zm) library.

SMTPOPTIONS

MAILBIN
    For compability's sake: When being invoked as:
        sendmail -bs
    do start the smtp-server in the system.

    NOT A RECOMMENDED START METHOD!

FILES

/usr/local/etc/zmailer/zmailer.conf | (ZCONFIG)
/var/spool/postoffice | (POSTOFFICE)

SEE ALSO
zmailer(1zm), zmailer(3zm), router(8zm), scheduler(8zm), mailq(1zm), newaliases(8zm), zmailer(3zm), zmailer.conf(5zm).

RFC-2822

AUTHOR
This program authored and copyright by:
    Rayan Zachariassen <no address>
Continued maintance by:
    Matti Aarnio <mea@nic.funet.fi>